#(32/64bit)

%define name gpick
%define version 0.2.4
%define release %mkrel 1

Summary: GPick is a advanced color picker 
Summary(de): Gpick ist ein erweiterter Farbauswähler
Name:	 %{name}
Version: %{version}
Release: %{release}
URL:	 http://code.google.com/p/gpick/
Source:  http://code.google.com/p/gpick/%{name}_%{version}.tar.xz
License: BSD
Group:   Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: scons python-scons
BuildRequires: %{_lib}gtkmm2.4-devel 
BuildRequires: %{_lib}lua5.2-devel >= 5.2
Obsoletes:	%name < %version


%description
GPick Advanced color picker written in C++ using GTK+ toolkit 

#german
%description -l de
Gpick ist ein erweiterter Farbauswähler geschrieben in C + + mit GTK +-Toolkit

%prep
%setup -q -n %{name}_%{version}

%build
scons nsis

%install
rm -rf $RPM_BUILD_ROOT
scons install DESTDIR=%{buildroot}/usr
install -dm 755 %{buildroot}%{_bindir}
install -m 755 build/source/gpick %{buildroot}%{_bindir}


mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 share/%{name}/* $RPM_BUILD_ROOT%{_datadir}/%{name}/


#icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{48x48,scalable}/apps
install -m 644 share/icons/hicolor/48x48/apps/%{name}.png \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m 644 share/icons/hicolor/scalable/apps/%{name}.svg \
$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


#menu-entry
mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=GPick
Comment=An advanced color picker written in C++ using GTK+ toolkit 
Exec=%{name}
Icon=%{name}.png
StartupNotify=true
Terminal=false
Type=Application
Categories=GTK;Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

#remove
rm -rf  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%doc share/doc/gpick/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/man/man1/%{name}.1.*

%changelog
* Mon Jan 13 2014 slick50 <lxgator at gmail.com> 0.2.4-1pclos2014
- 0.2.4

* Mon Jun 07 2010 slick50 <lxgator@gmail.com> 0.2.2-1pclos2010
- 0.2.2

* Mon Apr 19 2010 slick50 <lxgator@gmail.com> 0.2.1-1pclos2010
- 0.2.1

* Fri Oct 20 2009 slick50 <lxgator@gmail.com> 0.1.92-1pclos2010
- 0.1.92

* Wed Sep 16 2009 slick50 <lxgator@gmail.com> 0.1.73-1pclos2009
- 0.1.73

* Sun Sep 06 2009 slick50 <lxgator@gmail.com> 0.1.66-1pclos2009
- 0.1.66

* Thu Aug 20 2009 slick50 <lxgator@gmail.com> 0.1.52-1pclos2009
- 0.1.52

* Mon May 18 2009 Texstar <texstar@gmail.com> 0.0.38-2pclos2009
- fix icon png my bad

* Thu May 14 2009 slick50 <lxgator@gmail.com> 0.0.38-1pclos2009
- 0.0.38

* Wed Mar 25 2009 slick50 <lxgator@gmail.com> 0.0.34-1pclos2007
- initial build
